summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sergio Vicari2016-09-06 18:17:54 +0200
committer Willy Sudiarto Raharjo2016-09-11 03:53:49 +0200
commitbd4db5994e11872354c47c9a4cbb0e5de5754458 (patch)
tree3f911ef6e2ce96ea3765a25fe873e304e684d065
parent4d006b9051be521a6afa602d871474381c66dda6 (diff)
downloadslackbuilds-bd4db5994e11872354c47c9a4cbb0e5de5754458.tar.gz
games/7kaa: Added (Seven Kingdoms, a real-time strategy game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/7kaa/7kaa.SlackBuild102
-rw-r--r--games/7kaa/7kaa.desktop10
-rw-r--r--games/7kaa/7kaa.info10
-rw-r--r--games/7kaa/7kaa.xpm48
-rw-r--r--games/7kaa/README20
-rw-r--r--games/7kaa/doinst.sh3
-rw-r--r--games/7kaa/slack-desc20
7 files changed, 213 insertions, 0 deletions
diff --git a/games/7kaa/7kaa.SlackBuild b/games/7kaa/7kaa.SlackBuild
new file mode 100644
index 0000000000..60e570574b
--- /dev/null
+++ b/games/7kaa/7kaa.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for 7kaa
+
+# Copyright <2016> Sergio Vicari <devteamtuc@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=7kaa
+VERSION=${VERSION:-2.14.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.xpm $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/7kaa/7kaa.desktop b/games/7kaa/7kaa.desktop
new file mode 100644
index 0000000000..1703945553
--- /dev/null
+++ b/games/7kaa/7kaa.desktop
@@ -0,0 +1,10 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Version=1.0
+Name=Seven Kingdoms (7kaa)
+GenericName=Game
+Comment=Seven Kingdoms: Ancient Adversaries
+Type=Application
+Exec=7kaa
+Icon=7kaa
+Categories=Game;StrategyGame;
diff --git a/games/7kaa/7kaa.info b/games/7kaa/7kaa.info
new file mode 100644
index 0000000000..2200464f0a
--- /dev/null
+++ b/games/7kaa/7kaa.info
@@ -0,0 +1,10 @@
+PRGNAM="7kaa"
+VERSION="2.14.6"
+HOMEPAGE="https://www.7kfans.com"
+DOWNLOAD="https://github.com/the3dfxdude/7kaa/releases/download/v2.14.6/7kaa-2.14.6.tar.xz"
+MD5SUM="a05a2fa0369946e45a427477f4e0c800"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2 enet OpenAL"
+MAINTAINER="Sergio Vicari"
+EMAIL="devteamtuc@gmail.com"
diff --git a/games/7kaa/7kaa.xpm b/games/7kaa/7kaa.xpm
new file mode 100644
index 0000000000..644f384f14
--- /dev/null
+++ b/games/7kaa/7kaa.xpm
@@ -0,0 +1,48 @@
+/* XPM */
+static char * 7kaa_xpm[] = {
+"32 32 13 1",
+" c None",
+". c #008000",
+"+ c #0000FF",
+"@ c #000080",
+"# c #FFFF00",
+"$ c #000000",
+"% c #808000",
+"& c #C0C0C0",
+"* c #FF00FF",
+"= c #FF0000",
+"- c #FFFFFF",
+"; c #800000",
+"> c #808080",
+" .+++++++++++++++++@ ",
+" .+#############$@ ",
+"++ .+##%%%%%%%%&#&$@ ",
+"+++ .+#%*****==-#$@ +++",
+"+#@+ .+##%*-==;-#&$@ +@#@",
+"+##@+++++++#%*===;-#$@++++++@#%@",
+"+###@@@@@@@##%*=;-#&$@@@@@@@##%@",
+"+##########&#%*=;-#%##########%@",
+"+##########%##%=-#&%##########%@",
+"+%%%%%%%%%%%&##-##%%%%%%%%%%%%%@",
+"+$$$$$$$$$$$$####&%$$$$$$$$$$$$@",
+"+############&###%#####$@@#####@",
+"+############%##&%###%%$@+@###%@",
+"+#%%%%%%%###&%>#>###%%$@@+@##%%@",
+"+%%$$$$$%%##%$@>@##%%$@@+@##%%$@",
+"+$$@@@@@$##&%$@@@##%%$@+@##%%$@ ",
+"+$@ +@##%$@ +@##%%$@@##%%$@ ",
+"+@ +&#&%$@ +@##%%$@##%%$@ ",
+" +@##%$@ +@##%%$##%%$@ ",
+" +&#&%$@ +@###%##%%$@ ",
+" +@##%%$@ +@######%$@ ",
+" +@#&%$@ +@######%$@ ",
+" +&#%%$@ +@####%##$@ ",
+" +@##%%$@ +@###%%%##$@ ",
+" +&#&%$@ +@##%%$%%##$@ ",
+" +@##%%$@ +@##%%$@%%##$@ ",
+" +@#&%$@ +@##%%$@@%%##$@ ",
+" +&#%%$@ +@##%%$@+@%%##$@ ",
+" +@##%%$@ +@##%%$@ +@%%##$@",
+" +&###%%$@ +@@###%%$@ +@%%##@",
+" +@#####%%$@ +@@#####%%$@ +@%%#@",
+"+@@@@@@@@@@@ +@@@@@@@@@@@ @@@@@"};
diff --git a/games/7kaa/README b/games/7kaa/README
new file mode 100644
index 0000000000..5e4004d9bd
--- /dev/null
+++ b/games/7kaa/README
@@ -0,0 +1,20 @@
+Seven Kingdoms: Ancient Adversaries (7kaa)
+
+Seven Kingdoms is a real-time strategy (RTS) computer game developed by
+Trevor Chan of Enlight Software. The game enables players to compete
+against up to six other kingdoms allowing players to conquer opponents
+by defeating them in war (with troops or machines), capturing their
+buildings with spies, or offering opponents money for their kingdom.
+
+A long, long time ago, when people lived among gods and monsters, seven
+kingdoms struggled for rule over the land. Lead one of those
+civilizations to glory through sophisticated trade, diplomacy,
+espionage and conquest. Choose from one of seven cultures: Greek,
+Persian, Viking, Norman, Mayan, Chinese and Japanese and compete for
+domination. Each Race in Seven Kingdoms has its own distinct advantages
+and disadvantages, its own unique God unit, a different military skill,
+its own strengths and weaknesses. Learn how to use them! Use military
+means, economy or subterfuge to bring down your enemies. And don't
+forget about brute force, cunning and intelligence.
+
+Conquer the world and build your empire!
diff --git a/games/7kaa/doinst.sh b/games/7kaa/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/7kaa/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/7kaa/slack-desc b/games/7kaa/slack-desc
new file mode 100644
index 0000000000..2ad3cc3517
--- /dev/null
+++ b/games/7kaa/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+7kaa: 7kaa (Seven Kingdoms, a real-time strategy game)
+7kaa:
+7kaa: Seven Kingdoms is a real-time strategy (RTS) computer game developed
+7kaa: by Trevor Chan of Enlight Software. The game enables players to
+7kaa: compete against up to six other kingdoms allowing players to
+7kaa: opponents by defeating them in war (with troops or machines) conquer,
+7kaa: capturing their buildings with spies, or offering opponents money
+7kaa: for their kingdom.
+7kaa:
+7kaa: In August 2009, Enlight released the game under the terms of the GNU
+7kaa: General Public License and has provided a website at www.7kfans.com
+7kaa: